# Uses of Interface
org.apache.sling.junit.Renderer

Packages that use Renderer
Package
Description
org.apache.sling.junit

## Uses of Renderer in org.apache.sling.junit

Methods in org.apache.sling.junit that return Renderer
Modifier and Type
Method
Description
`Renderer`
RendererFactory.`createRenderer()`
`Renderer`
RendererSelector.`getRenderer(TestSelector selector)`
Select a Renderer for supplied TestSelector.
Methods in org.apache.sling.junit that return types with arguments of type Renderer
Modifier and Type
Method
Description
`Collection<Renderer>`
RendererSelector.`getRenderers()`
Return all available Renderers
Methods in org.apache.sling.junit with parameters of type Renderer
Modifier and Type
Method
Description
`void`
TestsManager.`executeTests(@Nullable Collection<String> testNames, @NotNull Renderer renderer, @Nullable TestSelector selector)`
Deprecated.
use `TestsManager.executeTests(Renderer, TestSelector)` instead
`void`
TestsManager.`executeTests(@NotNull Renderer renderer, @Nullable TestSelector selector)`
Execute tests and report results using supplied Renderer - does NOT call setup or cleanup on renderer.
`void`
TestsManager.`listTests(@NotNull Collection<String> testNames, @NotNull Renderer renderer)`
List tests using supplied Renderer - does NOT call setup or cleanup on renderer.